#{extends 'borderNG.html' /}

#{set 'titleHead'}
Cari Paket Paket
#{/set}
<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.nonLelang()}">&{'nonlelang.home'}</a></li>
    <li class="active">&{'nonlelang.paket_untuk_anda'}</li>
</ol>
<div class="content">
	<ul id="tabs" class="nav nav-tabs" role="tablist">
        <li class="nav-item"><a class="nav-link" href="@{lelang.LelangCtr.lelangBaru()}" >Tender</a></li>
        <li class="nav-item"><a class="nav-link active" href="@{nonlelang.PengadaanLCtr.plBaru()}" data-toggle="tab">Non Tender</a></li>
    </ul>
    <table id="tblLelangBaru" class="table table-sm">
        <thead>
        <tr>
            <th width="10%">&{'nonlelang.kode_paket'}</th>
            <th>&{'nonlelang.nama_paket_nontender'}</th>
            <th width="130">HPS</th>
        </tr>
        </thead>
        <tbody></tbody>
    </table>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">

    var viewPl = #{jsRoute @nonlelang.PendaftaranPlCtr.index(':id') /};
   var table =  $("#tblLelangBaru").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.plBaru()}",
        columns: [null, {render: function(data, type, row) {
            var id = row[0];
            var paket = row[1];
            var label = row[3];

            var version = getLabelSpseVersion(row[4]);
            var flag = version.flag;
            var highlight = version.highlight;

            var url = viewPl.url({id: id});
            var title = "Pendaftaran Paket"

            return row[1] = '<a href="'+url+'" class="dialog" title="'+title+'">' + paket +'</a>&nbsp;<span class="badge badge-info">'+label+'</span>&nbsp;<span class="'+highlight+'">'+flag+'</span>';
        }},{className:'text-right'}
        ]
    });
    $('#tblLelangBaru_filter input').unbind();
    $('#tblLelangBaru_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
